> ## Documentation Index
> Fetch the complete documentation index at: https://kraken-sandbox.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Subaccount

> Create a trading subaccount. **Note:** `CreateSubaccount` must be called using an API key from the master account.

**API Key Permissions Required:** `Funds permissions - Withdraw`




## OpenAPI

````yaml /openapi/spot-rest.yaml post /private/CreateSubaccount
openapi: 3.0.0
info:
  title: REST API
  version: 1.1.0
  description: ''
servers:
  - url: https://api.kraken.com/0
    description: Production Server
security:
  - API-Key: []
    API-Sign: []
tags:
  - name: Market Data
  - name: Account Data
  - name: Trading
  - name: Funding
  - name: Subaccounts
    description: >-
      Subaccounts are currently only available to institutional clients. Please
      contact your Account Manager for more details.
  - name: Earn
    description: >
      The earn API allows interacting with all of Kraken's yield generating
      products. It replaces the old `/staking` part of the API.


      The different available earn products are represented by earn strategies.
      This corresponds to the legacy `Staking/Assets`. `Stake`/`Unstake` are
      replaced by `Allocate`/`Deallocate`.


      ### Overview of the available endpoints under `/Earn`:


      - `Strategies` - list all earn strategies for which you are eligible or
      have a balance.

      - `Allocations` - lists the balance in your earn account for each
      strategy. Requires the `Query Funds` API key permission.

      - `Allocate`/`Deallocate` - allocate/deallocate to an earn strategy
      through an async operation. Requires the `Earn Funds` API key permission.

      - `AllocateStatus`/`DeallocateStatus` - verifies the state of the last
      allocation/deallocation. Requires the `Earn Funds` or `Query Funds` API
      key permission.


      ### Example usage:


      ### Determine which funds are earning rewards:


      1. Call `Strategies` to obtain information about the relevant strategy.
      The `lock_type` field shows whether bonding/unbonding funds are earning
      yield. The relevant fields are `bonding_rewards`/`unbonding_rewards`.

      2. Call `Allocations` for the relevant strategy. From the previous step,
      for strategies where bonding/unbonding does not earn yield, substract
      these balances from `amount_allocated.total` to determine which balances
      are currently earning.


      ### Get allocatable balance:


      Call `/0/private/BalanceEx`, subtract `hold_trading` amount. Remaining
      balance is available for allocation to a strategy.


      ### Geo restrictions:


      Some earn strategies are not available in all geographic regions.
      `Strategies` will return only strategies available to the caller.
  - name: Transparency
paths:
  /private/CreateSubaccount:
    post:
      tags:
        - Subaccounts
      summary: Create Subaccount
      description: >
        Create a trading subaccount. **Note:** `CreateSubaccount` must be called
        using an API key from the master account.


        **API Key Permissions Required:** `Funds permissions - Withdraw`
      operationId: createSubaccount
      requestBody:
        required: true
        content:
          application/json:
            schema:
              required:
                - nonce
                - email
                - username
              properties:
                nonce:
                  $ref: '#/components/schemas/nonce'
                username:
                  type: string
                  description: Username for the subaccount
                email:
                  type: string
                  description: Email address for the subaccount
              example:
                nonce: 1695828271
                username: abc123
                email: abc123@gmail.com
      responses:
        '200':
          description: Subaccount created.
          content:
            application/json:
              schema:
                properties:
                  result:
                    type: boolean
                    description: Whether subaccount creation was successful or not.
                  error:
                    $ref: '#/components/schemas/error'
                example:
                  error: []
                  result: true
components:
  schemas:
    nonce:
      description: Nonce used in construction of `API-Sign` header
      type: integer
      format: int64
    error:
      type: array
      items:
        description: Kraken API error
        type: string
        example: EGeneral:Invalid arguments
  securitySchemes:
    API-Key:
      type: apiKey
      description: The "API-Key" header should contain your API key.
      name: API-Key
      in: header
    API-Sign:
      type: apiKey
      description: >-
        Authenticated requests should be signed with the "API-Sign" header,
        using a signature generated with your private key, nonce, encoded
        payload, and URI path.
      name: API-Sign
      in: header

````